@import url("https://fonts.googleapis.com/css2?family=Nunito:wght@200;400;500;700&display=swap");

/* Base */

*,
*::after,
*::before {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
  font-family: "Nunito", sans-serif;
}

body {
  background: #c9cfd4;
}

.mobile {
  width: 320px;
  height: 95vh;
  background: #1a1a1a;
  position: absolute;
  top: 2.5%;
  left: calc((100% - 320px) / 2);
  border-radius: 15px;
  box-shadow: 2px 2px 9px 1px rgba(0, 0, 0, 0.22);
  overflow: hidden;
}

.flex {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.flex-c {
  flex-direction: column;
}

.input {
  display: none;
}

/* End Base */

.app {
  width: 100%;
  height: 90%;
  position: relative;
}

.menu {
  height: 10%;
  width: 100%;
  background: #2c2c2c;
  position: absolute;
  bottom: 0;
  padding: 0 15px;
  z-index: 99;
}

/* App */
.app .page {
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
  padding: 25px 15px;
  transition: 0.5s linear;
}

.page-2 {
  background: #1a1a1a;
  transform: translateY(150%);
  z-index: 5;
}

#page-2:checked ~ .mobile .app .page-2 {
  transform: translateY(0);
}

p {
  color: #f1f1f1;
}

/* Page 1 */

.page-1 {
  color: #fff;
}

.profile {
  height: 10%;
  width: 100%;
  font-size: 12px;
  font-weight: 400;
}

.heading {
  font-size: 20px;
  font-weight: 400;
}

.sub-heading {
  font-size: 10px;
  font-weight: 200;
}

.name {
  width: 85%;
  height: 100%;
}

.avatar {
  width: 15%;
  height: 100%;
  cursor: pointer;
}

.avatar img {
  width: 100%;
  border-radius: 50%;
}

.weather {
  width: 100%;
  height: 25%;
}

.daily,
.monthly {
  width: 50%;
}

.icon {
  width: 35px;
  height: 35px;
  background: #2c2c2c;
  border-radius: 50%;
  justify-content: center;
  font-size: 22px;
  color: #fff;
  transition: 0.3s linear;
  cursor: pointer;
}

.icon:hover {
  color: #e2d606;
}

.weather p {
  font-size: 12px;
  font-weight: 200;
  margin: 8px 0;
}

.weather h3 {
  font-size: 15px;
}

.weather h3 span {
  color: #e2d606;
}

.controls {
  width: 100%;
  height: 65%;
}

.rooms {
  width: 100%;
  height: 10%;
}

.rooms h3 {
  font-size: 15px;
  font-weight: 200;
  color: #c9cfd4;
}

.rooms h3.active,
.rooms h3:hover {
  color: #e2d606;
}

.control-pannel {
  width: 100%;
  height: 90%;
  margin-top: 20px;
}

.ac,
.lamp {
  width: 50%;
  height: 100%;
  border-radius: 8px;
  padding: 15px 10px;
  text-align: center;
}

.ac {
  background: #2c2c2c;
}

.control-pannel .icon {
  background: inherit;
  border-radius: none;
}

.switch {
  width: 100%;
}
.toggle-switch {
  width: 40px;
  height: 20px;
  border-radius: 15px;
  border: 1px solid #c9cfd4;
  position: relative;
  transition: 0.3s linear;
}

.toggle-switch span {
  width: 15px;
  height: 15px;
  background: #c9cfd4;
  position: absolute;
  border-radius: 50%;
  top: 1.5px;
  left: 2px;
  cursor: pointer;
}

.toggle-input:checked ~ label .toggle-switch {
  border-color: #e2d606;
}

.toggle-input:checked ~ label .toggle-switch span {
  right: 2px;
  left: unset;
  background: #fff;
  transition: 0.3s linear;
}

.control-pannel h3 {
  font-size: 18px;
  font-weight: 400;
}

.control-pannel h2 {
  font-size: 22px;
  color: #e2d606;
  font-weight: 400;
}

.control-pannel p {
  font-size: 12px;
  color: #c9cfd4;
  font-weight: 200;
  margin-top: 5px;
}

.auto {
  width: 80%;
  height: 32px;
  background: #454545;
  justify-content: center;
  border-radius: 20px;
  font-size: 16px;
  font-weight: 400;
  cursor: pointer;
}

.adjust {
  width: 90%;
}

.plus,
.minus {
  width: 45%;
  height: 30px;
  background: #454545;
  justify-content: center;
  border-radius: 20px;
  cursor: pointer;
}

/* Lamp */

.control-box {
  height: 40%;
  width: 100%;
}

/* End Page 1 */

/* Menu */
.menu .icon {
  background: inherit;
  border-radius: none;
  color: #c9cfd4;
}

.menu .icon:hover,
.menu .icon:focus,
.menu .icon:active {
  color: #fff;
}
/* End Menu */

/* Page 2 */
.stats,
.device-power {
  width: 100%;
  height: 40%;
  padding: 10px 0;
  color: #fff;
}

.stats {
  height: 60%;
}

.lines,
.graph {
  width: 100%;
  height: 100%;
}

.time-period {
  width: 100%;
}

.time {
  padding: 8px 12px;
  border-radius: 20px;
  background: #454545;
  cursor: pointer;
  font-size: 16px;
  font-weight: 200;
}

.graph {
  margin-top: 30px;
}

.graph-x {
  width: 85%;
  height: 100%;
}

.lines {
  align-items: flex-end;
  padding: 10px;
}

.graph-y {
  height: 100%;
  width: 10%;
}

.months {
  width: 100%;
}

.graph p {
  font-size: 14px;
  font-weight: 200;
  color: #c9cfd4;
}

.graph p:hover,
p.active {
  transition: 0.3s linear;
  color: #e2d606;
}

.line {
  width: 7%;
  height: var(--height);
  background: #454545;
  border: 1px solid #c9cfd4;
  border-top-left-radius: 8px;
  border-top-right-radius: 8px;
}

.line:hover,
.line.active {
  background: #e2d606;
  border: none;
  transition: 0.3s linear;
  cursor: pointer;
}

/* Device Power */
.device-power {
  text-align: center;
}

.power-usage,
.power {
  width: 100%;
  height: 100%;
}

.device {
  width: 50%;
}

.device-name {
  text-align: left;
  width: 65%;
}

.device-power h4 {
  font-size: 15px;
  font-weight: 200;
}

.device-power h3 {
  font-size: 16px;
  font-weight: 400;
}

.device-power p {
  font-size: 14px;
  font-weight: 200;
  color: #c9cfd4;
}

.usage h4 {
  color: #e2d606;
}
/* End  Device Power */
